require=(function(e,t,n,r){function i(r){if(!n[r]){if(!t[r]){if(e)return e(r);throw new Error("Cannot find module '"+r+"'")}var s=n[r]={exports:{}};t[r][0](function(e){var n=t[r][1][e];return i(n?n:e)},s,s.exports)}return n[r].exports}for(var s=0;s<r.length;s++)i(r[s]);return i})(typeof require!=="undefined"&&require,{"frameMorphology":[function(require,module,exports){module.exports=require('I1sdJo');
},{}],"I1sdJo":[function(require,module,exports){"use strict";
var filters = require('morphologicalOperations');
var gamutMappings = require('gamutMappings');
var sRGB = require('sRGB');

// Filters inputData and returns the result in the same format (can be inputData itself).
exports.filter = function (imageData, filterSpec, frameName, gammaCorrect, gamutMapping, progressCallback) {
    var inputDataOrg = imageData.data, width = imageData.width, height = imageData.height;
    
    if (progressCallback===undefined || !(progressCallback instanceof Function)) {
        // Use a NOOP callback if none is provided.
        progressCallback = function() {};
    }

    var filterParts = filterSpec.split('-');
    var filterName = filterParts[0];
    var filterLength = parseInt(filterParts[1], 10);
    
    var filterData = filters[filterName];
    if (filterData===undefined || !(filterData instanceof Function)) {
        throw "Unsupported filter!";
        return;
    }

    var gamutMapping = gamutMappings[gamutMapping];
    if (gamutMapping===undefined || !(gamutMapping instanceof Function)) {
        throw "Unsupported gamut mapping!";
        return;
    }

    var frame = frames[frameName], dualFrame = dualFrames[frameName];    
    if (frame===undefined || dualFrame===undefined || !(frame instanceof Float32Array) || !(dualFrame instanceof Float32Array)) {
        throw "Unsupported frame!";
        return;
    }
    if (frame.length!=dualFrame.length) {
        throw "Dual frame does not match frame!";
        return;
    }
    
    var imageSize = width*height;
    var inputData = new Float32Array(imageSize*3);
    var outputData = new Float32Array(imageSize*3);
    var projection = new Float32Array(imageSize);
    var i, vec, dualVec, p, f0, f1, f2, df0, df1, df2;
    var invFac = 1/(255*255);
    // Remove alpha channel (if present) and convert input to floating point
    for(p=0; p<imageSize; p++) {
        inputData[3*p+0] = invFac*(inputDataOrg[4*p+3]*inputDataOrg[4*p+0] + (255-inputDataOrg[4*p+3])*255);
        inputData[3*p+1] = invFac*(inputDataOrg[4*p+3]*inputDataOrg[4*p+1] + (255-inputDataOrg[4*p+3])*255);
        inputData[3*p+2] = invFac*(inputDataOrg[4*p+3]*inputDataOrg[4*p+2] + (255-inputDataOrg[4*p+3])*255);
    }
    // Gamma correct input
    if (gammaCorrect) sRGB.sRGB_to_linearRGB(inputData);
    // Process image one frame vector at a time
    progressCallback(0); // Initial status "update"
    for(i=0; i<frame.length; i+=3) {
        f0 = frame[i+0]; f1 = frame[i+1]; f2 = frame[i+2];
        df0 = dualFrame[i+0]; df1 = dualFrame[i+1]; df2 = dualFrame[i+2];
    
        // Project onto frame vector
        for(p=0; p<imageSize; p++) {
            projection[p] = f0*inputData[3*p+0] + f1*inputData[3*p+1] + f2*inputData[3*p+2];
        }
        
        // Filter projection
        projection.set(filterData(projection, width, height, filterLength));

        // Project back
        for(p=0; p<imageSize; p++) {
            outputData[3*p+0] += df0*projection[p];
            outputData[3*p+1] += df1*projection[p];
            outputData[3*p+2] += df2*projection[p];
        }
        
        // Status update
        progressCallback((i+3)/frame.length);
    }
    // Gamut mapping
    gamutMapping(outputData);
    // Undo gamma correction
    if (gammaCorrect) sRGB.linearRGB_to_sRGB(outputData);
    // Convert back to 8-bit data. (Truncation is assumed to happen automatically, and it is assumed to "round towards zero", which does agree with the Javascript specification.)
    for(p=0; p<imageSize; p++) {
        inputDataOrg[4*p+0] = 255*outputData[3*p+0] + 0.5;
        inputDataOrg[4*p+1] = 255*outputData[3*p+1] + 0.5;
        inputDataOrg[4*p+2] = 255*outputData[3*p+2] + 0.5;
        inputDataOrg[4*p+3] = 255;
    }
}

var frames = {
    basisRGB: new Float32Array([1,0,0, 0,1,0, 0,0,1]),
    satInvFrameRGB: new Float32Array([0.57735,0.57735,0.57735,0.816497,-0.408248,-0.408248,-0.408248,0.816497,-0.408248,-0.408248,-0.408248,0.816497]),
    hueInvFrameRGB: new Float32Array([0.404248,0.871951,-0.276198,0.2912,0.930596,-0.221796,0.179364,0.972059,-0.151423,0.0719572,0.995148,-0.067105,
                   -0.0279299,0.999197,0.0287331,-0.117424,0.98409,0.133334,-0.193951,0.950263,0.243689,-0.255309,0.898687,0.356622,
                   -0.299733,0.830847,0.468885,-0.325944,0.748695,0.577249,-0.333189,0.654593,0.678596,-0.32126,0.55125,0.77001,
                   -0.290499,0.441637,0.848862,-0.241792,0.328908,0.912883,-0.176539,0.216307,0.960232,-0.0966184,0.107073,0.989545,
                   -0.00432871,0.00434753,0.999981,0.0976749,-0.0889135,0.991239,0.206458,-0.170027,0.963569,0.318891,-0.23666,0.917769,
                   0.431739,-0.286896,0.855156,0.541757,-0.319288,0.777531,0.645779,-0.332906,0.687127,0.740812,-0.327357,0.586545,
                   0.824122,-0.302801,0.478679,0.893314,-0.259945,0.366631,0.946396,-0.200022,0.253626,0.981841,-0.124755,0.142913,
                   0.99863,-0.0363089,0.0376789,0.99628,0.0627706,-0.0590502,0.974857,0.169634,-0.144491,0.93498,0.281206,-0.216186,
                   0.877794,0.394278,-0.272072,0.804944,0.505597,-0.310542,0.718528,0.61196,-0.330488,0.62103,0.710308,-0.331338,
                   0.515256,0.79781,-0.313066]),
    sathueInvFrameRGB: new Float32Array([0.57735,0.57735,0.57735,-0.746521,0.086852,0.659669,-0.679892,-0.051603,0.731495,-0.593703,-0.188573,0.782277,
                   -0.490435,-0.320119,0.810554,-0.373058,-0.442455,0.815513,-0.244948,-0.552063,0.797011,-0.109792,-0.645789,0.755581,
                   0.0285226,-0.720937,0.692414,0.166017,-0.775344,0.609327,0.298735,-0.807447,0.508712,0.422859,-0.81632,0.393461,
                   0.534818,-0.80171,0.266892,0.631391,-0.764036,0.132644,0.709801,-0.704382,-0.00541937,0.767791,-0.624464,-0.143327,
                   0.803692,-0.526581,-0.277111,0.816474,-0.41355,-0.402924,0.805766,-0.288621,-0.517145,0.771878,-0.15539,-0.616488,
                   0.715785,-0.0176882,-0.698097,0.6391,0.120522,-0.759622,0.544029,0.255266,-0.799295,0.433307,0.382666,-0.815973,
                   0.31012,0.499057,-0.809177,0.178011,0.601091,-0.779103,0.0407816,0.685833,-0.726615,-0.0976213,0.750845,-0.653224,
                   -0.233216,0.794257,-0.561041,-0.362101,0.814819,-0.452717,-0.48057,0.81194,-0.33137,-0.585213,0.785703,-0.20049,
                   -0.673021,0.736863,-0.0638424,-0.741467,0.666825,0.0746421,-0.788582,0.577603,0.210979,-0.813012,0.471765,0.341247,
                   -0.814052,0.352355,0.461697,-0.791674,0.222808,0.568866]),
    rotInvFrameRGB: new Float32Array([0.0,0.0,-1.0,-0.208516,0.191018,-0.959184,0.0345969,-0.394214,-0.918367,0.291736,0.380518,-0.877551,
                   -0.539237,-0.0953835,-0.836735,0.510813,-0.324937,-0.795918,-0.170198,0.63313,-0.755102,-0.322568,-0.621085,-0.714286,
                   0.69436,0.253579,-0.673469,-0.715846,0.295491,-0.632653,0.341644,-0.730074,-0.591837,0.24975,0.796242,-0.55102,
                   -0.744128,-0.431237,-0.510204,0.862397,-0.189596,-0.469388,-0.519634,0.739126,-0.428571,-0.118456,-0.914119,-0.387755,
                   0.717155,0.604419,-0.346939,-0.951179,0.0393342,-0.306122,0.683428,-0.680102,-0.265306,-0.0450125,0.973436,-0.22449,
                   -0.629809,-0.754722,-0.183673,0.980904,0.131979,-0.142857,-0.816574,0.568151,-0.102041,0.21907,-0.973786,-0.0612245,
                   0.497077,0.867466,-0.0204082,-0.952494,-0.303872,0.0204082,0.906088,-0.418636,0.0612245,-0.384046,0.917658,0.102041,
                   -0.334981,-0.931332,0.142857,0.87013,0.457316,0.183673,-0.942289,0.248384,0.22449,0.521456,-0.810985,0.265306,
                   0.161245,0.938237,0.306122,-0.741516,-0.574272,0.346939,0.918615,-0.0761054,0.387755,-0.613554,0.663233,0.428571,
                   0.00430748,-0.882982,0.469388,0.577857,0.637003,0.510204,-0.830931,-0.0770105,0.55102,0.642073,-0.487311,0.591837,
                   -0.138611,0.76193,0.632653,-0.39371,-0.625645,0.673469,0.674965,0.18498,0.714286,-0.583285,0.299332,0.755102,
                   0.210449,-0.567649,0.795918,0.206472,0.507193,0.836735,-0.433288,-0.205343,0.877551,0.378164,-0.116592,0.918367,
                   -0.142982,0.243973,0.959184,0.0,0.0,1.0]),
    satInvFrameSVG: new Float32Array([0.284182,0.953946,0.0960617,0.738462,-0.670902,-0.0675594,-0.586757,0.785097,-0.19834,-0.178886,-0.600485,0.77937]),
    hueInvFrameSVG: new Float32Array([0.744771,1.05144,-0.796212,-0.00791816,0.711698,0.296221,0.831027,-0.23855,0.407523,0.841569,0.885451,-0.72702,
                   -0.026784,0.765405,0.261379,0.732267,-0.281693,0.549426,0.920285,0.714557,-0.634841,-0.0387517,0.817662,0.22109,
                   0.618569,-0.296163,0.677593,0.978653,0.543676,-0.522328,-0.0434769,0.866966,0.176511,0.493204,-0.281543,0.788339,
                   1.01499,0.377724,-0.392718,-0.0408238,0.911898,0.128926,0.359778,-0.238255,0.878477,1.02826,0.221474,-0.249738,
                   -0.0308686,0.951166,0.0797028,0.222129,-0.167543,0.945414,1.01808,0.0794226,-0.0975021,-0.0138978,0.98364,0.0302583,
                   0.0842171,-0.0714423,0.987225,0.984735,-0.0443445,0.0596098,0.00960046,1.00838,-0.0179853,-0.0499895,0.0472831,1.00271,
                   0.929189,-0.146267,0.217078,0.0389502,1.02469,-0.0636403,-0.17663,0.185217,0.991413,0.853039,-0.223412,0.370373,
                   0.073307,1.03209,-0.105393,-0.292062,0.338393,0.95367,0.758477,-0.273561,0.515084,0.111682,1.03036,-0.142043,
                   -0.392965,0.502402,0.890562,0.648222,-0.29527,0.647048,0.152973,1.01956,-0.172534,-0.476434,0.672528,0.803907,
                   0.525447,-0.287916,0.76247,0.19599,1.,-0.195992,-0.54007,0.843875,0.696195,0.393683,-0.25171,0.858027,
                   0.239496,0.972243,-0.211739,-0.582042,1.01152,0.570527,0.256721,-0.187694,0.930973,0.28224,0.937083,-0.219324,
                   -0.601142,1.17062,0.430517,0.118502,-0.0977083,0.979207,0.322993,0.895535,-0.218528,-0.59682,1.31663,0.280193,
                   -0.0169992,0.0156572,1.00134,0.360581,0.848793,-0.209374,-0.569201,1.44532,0.123879,-0.145883,0.149142,0.996742,
                   0.393923,0.798202,-0.192125,-0.51908,1.55301,-0.0339265,-0.264443,0.298905,0.965539,0.422061,0.745217,-0.167278,
                   -0.447898,1.63658,-0.188685,-0.369268,0.460638,0.90863,0.444184,0.691364,-0.135548,-0.357703,1.69365,-0.335944,
                   -0.457342,0.629689,0.827653,0.459656,0.63819,-0.0978462,-0.25109,1.72256,-0.471467,-0.526131,0.801194,0.724937,
                   0.468033,0.587226,-0.0552586,-0.131126,1.72248,-0.591356,-0.573657,0.97022,0.603438,0.469073,0.539937,-0.00901009,
                   -0.00126263,1.69342,-0.692161,-0.598552,1.1319,0.466649,0.462746,0.497685,0.039569,0.134765,1.63622,-0.770983,
                   -0.600101,1.28159,0.318508,0.449234,0.461685,0.089081,0.273043,1.55251,-0.825553,-0.578258,1.41498,0.163275,
                   0.428927,0.432972,0.138102,0.409594,1.44471,-0.854303,-0.533651,1.52824,0.00541614,0.402407,0.412372,0.185221,
                   0.54049,1.31591,-0.856404,-0.467566,1.61809,-0.150527,0.370439,0.400479,0.229083,0.661964,1.16983,-0.831797,
                   -0.381901,1.68197,-0.300069,0.333941,0.397634,0.268425,0.770522,1.01067,-0.78119,-0.279122,1.71803,-0.438907,
                   0.293964,0.403918,0.302118,0.863041,0.842996,-0.706037,-0.162186,1.72523,-0.563047,0.251658,0.419152,0.32919,
                   0.93686,0.671642,-0.608502,-0.0344562,1.70337,-0.668918,0.20824,0.442897,0.348863,0.989855,0.501536,-0.491391,
                   0.100392,1.65308,-0.753474,0.164959,0.47447,0.360571,1.0205,0.33757,-0.358071,0.23848,1.5758,-0.814282,
                   0.123059,0.512963,0.363978,1.02792,0.184463,-0.212379,0.375835,1.47376,-0.849594,0.0837476,0.557268,0.358985,
                   1.01189,0.0466178,-0.0585061,0.508506,1.34989,-0.858394,0.0481542,0.60611,0.345736,0.972878,-0.0719991,0.0991213,
                   0.632675,1.20775,-0.840427,0.0173031,0.658085,0.324612,0.912007,-0.167975,0.255968]),
    sathueInvFrameSVG: new Float32Array([0.284182,0.953946,0.0960617,0.499154,0.315085,-0.814239,-0.608042,-0.0108742,0.618917,0.519203,-0.80137,0.282166,
                   0.589965,0.15939,-0.749355,-0.660063,0.137244,0.522819,0.436246,-0.837551,0.401305,0.663803,-0.000890014,-0.662913,
                   -0.693094,0.281414,0.41168,0.340739,-0.849638,0.508899,0.718546,-0.161145,-0.557401,-0.706187,0.417488,0.288698,
                   0.235429,-0.837282,0.601853,0.752617,-0.316764,-0.435853,-0.698964,0.541552,0.157411,0.123346,-0.800839,0.677493,
                   0.765036,-0.46327,-0.301766,-0.671633,0.650037,0.0215959,0.00771503,-0.741357,0.733642,0.755447,-0.596449,-0.158998,
                   -0.62498,0.739821,-0.114841,-0.108138,-0.660548,0.768686,0.724125,-0.712469,-0.0116563,-0.560348,0.808321,-0.247974,
                   -0.22088,-0.560736,0.781616,0.671972,-0.807993,0.136021,-0.479595,0.853568,-0.373973,-0.327268,-0.444793,0.772061,
                   0.600486,-0.880272,0.279785,-0.385046,0.874259,-0.489214,-0.424241,-0.316053,0.740294,0.511726,-0.927227,0.415501,
                   -0.279419,0.8698,-0.590381,-0.509009,-0.178222,0.687231,0.408245,-0.947508,0.539263,-0.165754,0.840318,-0.674564,
                   -0.579134,-0.0352634,0.614398,0.293019,-0.94053,0.647511,-0.0473206,0.786661,-0.73934,-0.632599,0.10871,0.523889,
                   0.169364,-0.906496,0.737132,0.0724741,0.710374,-0.782848,-0.667864,0.249555,0.418309,0.0408357,-0.846383,0.805547,
                   0.190184,0.61365,-0.803834,-0.683917,0.383222,0.300695,-0.0888668,-0.761921,0.850788,0.302422,0.499273,-0.801695,
                   -0.680294,0.505864,0.17443,-0.216013,-0.65554,0.871553,0.405961,0.370532,-0.776493,-0.657101,0.613953,0.0431479,
                   -0.336945,-0.5303,0.867245,0.497821,0.231133,-0.728953,-0.615004,0.704379,-0.0893759,-0.448183,-0.389805,0.837988,
                   0.575359,0.0850834,-0.660442,-0.555214,0.774543,-0.219328,-0.546528,-0.238096,0.784624,0.636345,-0.0634134,-0.572932,
                   -0.479452,0.822423,-0.342971,-0.629151,-0.0795367,0.708687,0.679025,-0.210086,-0.468939,-0.389897,0.846645,-0.456748,
                   -0.693673,0.0813103,0.612363,0.70217,-0.350715,-0.351455,-0.289125,0.846509,-0.557384,-0.738241,0.239818,0.498422,
                   0.705115,-0.481254,-0.223861,-0.180036,0.822022,-0.641986,-0.76157,0.391427,0.370143,0.687776,-0.597949,-0.0898273,
                   -0.0657675,0.773886,-0.708118,-0.76299,0.531775,0.231215,0.65065,-0.697441,0.046791,0.0503931,0.703487,-0.75388,
                   -0.742461,0.656825,0.0856358,0.594807,-0.77687,0.182063,0.165104,0.61285,-0.777954,-0.700572,0.762979,-0.0624072,
                   0.521851,-0.833949,0.312098,0.275065,0.504582,-0.779647,-0.638529,0.847184,-0.208655,0.433883,-0.867037,0.433154,
                   0.377113,0.381799,-0.758912,-0.558117,0.907017,-0.3489,0.333433,-0.875182,0.541749,0.468312,0.248031,-0.716343,
                   -0.461649,0.940757,-0.479108,0.223391,-0.85815,0.634759,0.546039,0.107129,-0.653167,-0.3519,0.947432,-0.595533,
                   0.106923,-0.81643,0.709508,0.608057,-0.0368559,-0.571201,-0.232027,0.926852,-0.694825,-0.0126222,-0.751224,0.763846,
                   0.652582,-0.17978,-0.472802,-0.10548,0.879608,-0.774128,-0.131804,-0.664405,0.796209,0.678334,-0.317532,-0.360802,
                   0.0241024,0.807059,-0.831162,-0.247194,-0.558473,0.805667,0.684572,-0.44615,-0.238422,0.152991,0.711293,-0.864284,
                   -0.355472,-0.436475,0.791947,0.671115,-0.561933,-0.109183,0.277478,0.595064,-0.872542,-0.453525,-0.30192,0.755445,
                   0.638352,-0.661549,0.0231975,0.393983,0.461716,-0.855699,-0.53853,-0.15868,0.697209,0.587224,-0.742135,0.15491]),
};
var dualFrames = {
    basisRGB: new Float32Array([1,0,0, 0,1,0, 0,0,1]),
    satInvFrameRGB: new Float32Array([0.57735,0.57735,0.57735,0.544331,-0.272166,-0.272166,-0.272166,0.544331,-0.272166,-0.272166,-0.272166,0.544331]),
    hueInvFrameRGB: new Float32Array([0.0327768,0.0706987,-0.0223945,0.0236108,0.0754537,-0.0179835,0.014543,0.0788156,-0.0122776,0.00583437,0.0806877,-0.00544095,
                   -0.00226459,0.081016,0.00232971,-0.00952088,0.0797911,0.0108109,-0.0157258,0.0770483,0.0197585,-0.0207007,0.0728665,0.0289153,
                   -0.0243026,0.067366,0.0380177,-0.0264279,0.060705,0.046804,-0.0270153,0.0530751,0.0550213,-0.0260481,0.0446959,0.0624333,
                   -0.023554,0.0358084,0.0688267,-0.0196047,0.0266683,0.0740176,-0.014314,0.0175384,0.0778566,-0.00783392,0.00868159,0.0802334,
                   -0.000350977,0.000352503,0.0810796,0.00791958,-0.0072092,0.0803707,0.0167398,-0.013786,0.0781272,0.025856,-0.0191887,0.0744137,
                   0.0350059,-0.0232618,0.069337,0.0439262,-0.0258882,0.0630431,0.0523604,-0.0269924,0.055713,0.0600658,-0.0265425,0.0475577,
                   0.0668207,-0.0245515,0.0388118,0.0724309,-0.0210767,0.0297269,0.0767348,-0.016218,0.0205643,0.0796087,-0.0101152,0.0115876,
                   0.08097,-0.00294396,0.00305504,0.0807794,0.00508951,-0.00478785,0.0790425,0.0137541,-0.0117155,0.0758092,0.0228005,-0.0175286,
                   0.0711724,0.0319685,-0.0220599,0.0652658,0.0409944,-0.025179,0.058259,0.0496184,-0.0267963,0.0503538,0.0575925,-0.0268652,
                   0.0417775,0.0646873,-0.0253837]),
    sathueInvFrameRGB: new Float32Array([0.57735,0.57735,0.57735,-0.0403525,0.0046947,0.0356578,-0.0367509,-0.00278935,0.0395403,-0.0320921,-0.0101932,0.0422852,
                   -0.02651,-0.0173037,0.0438137,-0.0201653,-0.0239165,0.0440818,-0.0132404,-0.0298412,0.0430817,-0.0059347,-0.0349075,0.0408422,
                   0.00154176,-0.0389695,0.0374278,0.00897388,-0.0419105,0.0329366,0.0161478,-0.0436458,0.0274979,0.0228572,-0.0441254,0.0212682,
                   0.0289091,-0.0433357,0.0144266,0.0341293,-0.0412992,0.00716995,0.0383676,-0.0380747,-0.000292939,0.0415022,-0.0337548,-0.0077474,
                   0.0434428,-0.0284638,-0.014979,0.0441337,-0.022354,-0.0217797,0.0435549,-0.0156012,-0.0279538,0.0417232,-0.00839946,-0.0333237,
                   0.0386911,-0.000956119,-0.037735,0.0345459,0.00651473,-0.0410607,0.029407,0.0137982,-0.0432051,0.023422,0.0206846,-0.0441066,
                   0.0167632,0.0269761,-0.0437393,0.00962224,0.0324914,-0.0421137,0.00220441,0.0370721,-0.0392765,-0.00527683,0.0405862,-0.0353094,
                   -0.0126063,0.0429328,-0.0303265,-0.019573,0.0440443,-0.0244712,-0.0259767,0.0438886,-0.0179119,-0.0316331,0.0424704,-0.0108373,
                   -0.0363795,0.0398304,-0.00345094,-0.0400793,0.0360446,0.00403471,-0.0426261,0.0312218,0.0114043,-0.0439466,0.0255008,0.0184458,
                   -0.0440028,0.0190462,0.0249566,-0.0427932,0.0120437,0.0307495]),
    rotInvFrameRGB: new Float32Array([0.000389189,0.000314487,-0.0576511,-0.0123929,0.0119919,-0.055277,0.00246103,-0.0238529,-0.0528344,0.0182288,0.023592,-0.050825,
                   -0.0327123,-0.00560013,-0.0479988,0.0315895,-0.0196295,-0.0459822,-0.0101072,0.0390058,-0.0436654,-0.0195077,-0.0378258,-0.0408585,
                   0.0428094,0.0157698,-0.0391763,-0.0435952,0.0182671,-0.0362875,0.0211304,-0.0445125,-0.0340234,0.0155463,0.048948,-0.0321146,
                   -0.0454046,-0.0262799,-0.0289886,0.0530062,-0.0114293,-0.0273368,-0.0316367,0.0453806,-0.0247378,-0.00714251,-0.0558667,-0.0220209,
                   0.0440928,0.0371547,-0.0204706,-0.0581493,0.00246706,-0.0172905,0.0419433,-0.041541,-0.0153473,-0.00263106,0.0596855,-0.0132307,
                   -0.0385414,-0.0461894,-0.0101065,0.0601519,0.00816718,-0.00865914,-0.0499614,0.0347949,-0.00574364,0.0134051,-0.0596101,-0.00330868,
                   0.0304941,0.0531531,-0.00164282,-0.0583707,-0.0186548,0.00164282,0.0554671,-0.0256216,0.00330868,-0.0235298,0.0561532,0.00574364,
                   -0.0206142,-0.0570965,0.00865914,0.0532517,0.0279848,0.0101065,-0.0578028,0.0151035,0.0132307,0.031809,-0.0497301,0.0153473,
                   0.00979651,0.0573712,0.0172905,-0.0455839,-0.0353093,0.0204706,0.0561212,-0.00474604,0.0220209,-0.037727,0.0404594,0.0247378,
                   0.0000457565,-0.0542244,0.0273368,0.035227,0.0388751,0.0289886,-0.051121,-0.00492304,0.0321146,0.039084,-0.030005,0.0340234,
                   -0.00870707,0.0464588,0.0362875,-0.0244062,-0.0385443,0.0391763,0.0410784,0.0111313,0.0408585,-0.0360144,0.0180713,0.0436654,
                   0.0125597,-0.0350067,0.0459822,0.0123433,0.0308074,0.0479988,-0.0268933,-0.0128693,0.050825,0.0228045,-0.00741414,0.0528344,
                   -0.00912269,0.0146344,0.055277,-0.000389189,-0.000314487,0.0576511]),
    satInvFrameSVG: new Float32Array([0.749519,0.749519,0.749519,0.63074,-0.169416,-0.183546,-0.49737,0.169301,-0.209868,-0.164281,-0.0639829,1.12139]),
    hueInvFrameSVG: new Float32Array([0.0201212,0.00803861,-0.014228,0.00334548,0.0101137,0.0147931,0.0322404,0.000968818,0.0201265,0.0238875,0.00669377,-0.0120149,
                   0.00244757,0.0104856,0.0137563,0.0300282,0.00124847,0.0238936,0.0272257,0.00541554,-0.00919694,0.00173842,0.010815,0.0125829,
                   0.0272114,0.00175137,0.0272326,0.0300399,0.00424068,-0.00585526,0.00123844,0.0110925,0.0113066,0.023871,0.00246307,0.0300473,
                   0.0322491,0.003203,-0.00208597,0.000961996,0.01131,0.00996427,0.0201029,0.00336307,0.0322567,0.0337897,0.00233234,0.00200251,
                   0.000917054,0.0114614,0.00859445,0.0160158,0.00442551,0.0337974,0.0346174,0.00165377,0.00629254,0.0011049,0.0115421,0.00723656,
                   0.011727,0.0056198,0.0346249,0.0347084,0.00118679,0.0106607,0.00152014,0.01155,0.00592965,0.0073601,0.00691159,0.0347156,
                   0.0340601,0.000944836,0.0149814,0.00215081,0.0114849,0.00471134,0.0030406,0.00826372,0.0340667,0.032691,0.000934877,0.0191303,
                   0.00297879,0.0113484,0.00361666,-0.00110719,0.00963729,0.0326969,0.0306408,0.0011572,0.0229879,0.00398024,0.0111447,0.0026771,
                   -0.00496396,0.0109928,0.0306457,0.0279682,0.0016054,0.0264435,0.00512636,0.0108795,0.00191971,-0.00841876,0.0122912,0.027972,
                   0.0247501,0.00226659,0.0293975,0.00638418,0.0105606,0.00136626,-0.0113722,0.0134952,0.0247528,0.0210793,0.00312175,0.0317649,
                   0.00771751,0.010197,0.00103268,-0.0137393,0.0145702,0.0210807,0.0170612,0.00414627,0.0334777,0.00908799,0.00979917,0.000928561,
                   -0.015452,0.0154851,0.0170612,0.0128114,0.00531069,0.0344866,0.0104562,0.00937866,0.0010569,-0.0164609,0.0162138,0.0128102,
                   0.0084523,0.0065815,0.0347625,0.0117828,0.00894751,0.00141401,-0.0167372,0.0167352,0.00844979,0.00410918,0.00792214,0.0342975,
                   0.0130296,0.00851812,0.00198962,-0.0162728,0.0170343,0.00410548,-0.0000929838,0.00929405,0.0331051,0.0141607,0.00810286,0.00276716,
                   -0.015081,0.0171025,-0.0000977757,-0.0040333,0.0106578,0.0312194,0.0151436,0.00771367,0.00372427,-0.0131963,0.0169379,-0.00403904,
                   -0.00759841,0.011974,0.0286948,0.01595,0.00736175,0.00483341,-0.0106727,0.0165452,-0.00760494,-0.0106858,0.013205,0.0256039,
                   0.0165568,0.00705721,0.00606267,-0.00758294,0.0159358,-0.0106929,-0.0132065,0.0143153,0.0220356,0.0169464,0.00680882,0.00737669,
                   -0.00401585,0.015127,-0.013214,-0.0150882,0.0152729,0.0180925,0.0171077,0.00662372,0.00873768,-0.0000740609,0.0141422,-0.0150959,
                   -0.0162766,0.0160503,0.0138881,0.017036,0.00650725,0.0101065,0.00412904,0.0130098,-0.0162843,-0.0167376,0.0166252,0.00954331,
                   0.0167333,0.00646275,0.0114437,0.00847252,0.0117622,-0.016745,-0.0164579,0.0169809,0.00518317,0.0162085,0.0064915,0.0127109,
                   0.0128314,0.0104355,-0.0164649,-0.0154456,0.0171073,0.000933097,0.0154765,0.00659267,0.0138715,0.0170804,0.00906772,-0.0154519,
                   -0.0137298,0.0170008,-0.00308465,0.0145585,0.00676336,0.0148923,0.0210971,0.00769825,-0.0137352,-0.0113598,0.0166643,-0.00675448,
                   0.0134808,0.00699865,0.0157439,0.0247661,0.00636649,-0.0113642,-0.00840386,0.0161076,-0.00997082,0.0122745,0.00729177,0.0164017,
                   0.0279818,0.00511075,-0.0084071,-0.00494697,0.0153467,-0.0126412,0.0109743,0.0076343,0.0168468,0.0306517,0.00396716,-0.00494898,
                   -0.00108859,0.0144034,-0.0146886,0.00961746,0.00801637,0.0170664,0.032699,0.00296861,-0.00108931,0.00306028,0.013305,-0.0160544,
                   0.00824316,0.00842701,0.0170543,0.0340647,0.00214383,0.00306087,0.00738028,0.012083,-0.0166991,0.00689089,0.00885438,0.0168107,
                   0.0347097,0.00151655,0.00738216,0.0117471,0.0107726,-0.0166043,0.00559956,0.0092862,0.0163426,0.0346152,0.00110482,0.0117503,
                   0.0160352,0.00941137,-0.0157726,0.00440631,0.00971005,0.0156636,0.0337842,0.000920471,0.0160395]),
    sathueInvFrameSVG: new Float32Array([0.749519,0.749519,0.749519,0.00937257,-0.00081938,-0.0195903,-0.0139876,0.00272117,0.0143572,0.0175311,-0.00606888,0.00840455,
                   0.0125459,-0.00195261,-0.0177244,-0.0162115,0.00364259,0.0117862,0.0158619,-0.00585793,0.0112478,0.0153583,-0.00302967,-0.0153486,
                   -0.0179691,0.00445922,0.00887611,0.0137363,-0.00547845,0.0137675,0.0177288,-0.00401957,-0.0125312,-0.0192098,0.00514757,0.00571067,
                   0.0112156,-0.00494137,0.0158912,0.0195894,-0.00489384,-0.00935335,-0.0198978,0.00568783,0.00238095,0.00837222,-0.00426214,0.0175576,
                   0.0208863,-0.00562731,-0.00590641,-0.0200134,0.00606447,-0.00101727,0.005288,-0.00346029,0.018719,0.0215825,-0.00619891,-0.00228955,
                   -0.0195532,0.00626664,-0.00438623,0.00205165,-0.0025589,0.0193418,0.0216577,-0.00659216,0.00139317,-0.0185306,0.00628853,-0.007629,
                   -0.00124372,-0.00158389,0.0194083,0.0211099,-0.00679578,0.00503582,-0.0169748,0.00612951,-0.0106523,-0.00450331,-0.000563318,0.0189164,
                   0.0199548,-0.00680389,0.00853359,-0.0149307,0.00579415,-0.0133692,-0.00763335,0.000473461,0.0178803,0.0182256,-0.00661627,0.0117859,
                   -0.0124571,0.00529211,-0.0157014,-0.0105438,0.00149662,0.0163298,0.0159721,-0.00623831,0.0146991,-0.0096251,0.00463783,-0.0175819,
                   -0.0131509,0.00247672,0.0143095,0.0132591,-0.00568088,0.0171894,-0.00651622,0.00385012,-0.0189567,-0.0153797,0.00338558,0.0118776,
                   0.0101647,-0.00496003,0.0191853,-0.00321987,0.00295165,-0.0197861,-0.017166,0.00419703,0.00910398,0.00677785,-0.00409648,0.0206292,
                   0.000169101,0.00196827,-0.0200463,-0.0184585,0.00488775,0.00606845,0.00319602,-0.00311509,0.0214797,0.00355321,0.000928265,-0.0197298,
                   -0.01922,0.00543785,0.00285835,-0.000477748,-0.00204408,0.0217122,0.0068351,-0.000138445,-0.0188457,-0.0194286,0.00583152,-0.000433979,
                   -0.00413777,-0.000914266,0.0213201,0.00992036,-0.00120117,-0.0174194,-0.0190782,0.00605742,-0.00371383,-0.00767877,0.00024185,0.0203146,
                   0.0127202,-0.00222934,-0.015492,-0.018179,0.00610907,-0.00688683,-0.0109989,0.00139101,0.0187248,0.0151541,-0.00319338,-0.013119,
                   -0.0167568,0.00598496,-0.00986172,-0.0140025,0.00250015,0.0165963,0.0171521,-0.00406555,-0.0103685,-0.0148526,0.00568868,-0.0125529,
                   -0.0166034,0.00353736,0.0139903,0.0186567,-0.00482076,-0.00731976,-0.0125211,0.00522875,-0.014883,-0.0187266,0.00447282,0.0109818,
                   0.0196245,-0.00543729,-0.00406044,-0.00982931,0.0046184,-0.0167849,-0.020311,0.0052796,0.00765746,0.0200277,-0.00589739,-0.000684302,
                   -0.0068548,0.00387518,-0.0182039,-0.0213112,0.00593449,0.00411279,0.0198548,-0.00618784,0.00271152,-0.00368309,0.00302048,-0.0190992,
                   -0.0216982,0.00641866,0.000449809,0.0191107,-0.00630028,0.00602934,-0.000405423,0.00207889,-0.0194451,-0.0214611,0.00671817,-0.00322612,
                   0.0178169,-0.00623147,0.0091737,0.00288391,0.00107749,-0.0192316,-0.0206066,0.00682442,-0.00680923,0.0160104,-0.00598339,0.0120542,
                   0.00609027,0.0000450909,-0.0184648,-0.0191592,0.00673434,-0.0101965,0.0137434,-0.00556317,0.0145878,0.00912143,-0.000988602,-0.0171669,
                   -0.0171607,0.00645053,-0.0132904,0.011081,-0.00498292,0.0167018,0.0118902,-0.00199386,-0.015375,-0.0146684,0.00598114,-0.0160019,
                   0.00809984,-0.00425932,0.0183354,0.0143169,-0.00294175,-0.0131409,-0.0117542,0.00533969,-0.0182531,0.00488565,-0.00341318,0.0194414,
                   0.0163317,-0.00380501,-0.0105287,-0.0085019,0.00454463,-0.0199792,0.0015309,-0.00246885,0.0199882,0.0178767,-0.00455881,-0.00761364,
                   -0.00500497,0.00361882,-0.0211306,-0.00186788,-0.0014535,0.0199599,0.0189074,-0.00518147,-0.00447954,-0.00136405,0.00258891,-0.021674,
                   -0.00521293,-0.000396337,0.0193574,0.0193942,-0.00565506,-0.00121657,0.00231611,0.00148452,-0.0215939,-0.00840802,0.000672231,0.0181981,
                   0.019323,-0.00596596,0.0020814,0.00592963,0.000337424,-0.0208926,-0.0113612,0.00172146,0.0165152,0.018696,-0.00610524,0.00531949]),
};


},{"morphologicalOperations":"morphologicalOperations","gamutMappings":"gamutMappings","sRGB":"sRGB"}],"gamutMappings":[function(require,module,exports){module.exports=require('CFam+b');
},{}],"CFam+b":[function(require,module,exports){"use strict";

// Clips channels independently.
exports.independentClipping = function (c) {
    var offset, c0, c1, c2;
    for(offset=0; offset<c.length; offset+=3) {
        c0 = c[offset+0];
        c1 = c[offset+1];
        c2 = c[offset+2];
        c[offset+0] = c0<0 ? 0 : c0>1 ? 1 : c0;
        c[offset+1] = c1<0 ? 0 : c1>1 ? 1 : c1;
        c[offset+2] = c2<0 ? 0 : c2>1 ? 1 : c2;
    }
}

// Clips towards neutral grey.
exports.centroidClipping = function (c) {
    var offset, r0, r1, r2, t;
    for(offset=0; offset<c.length; offset+=3) {
        r0 = c[offset+0]-0.5;
        r1 = c[offset+1]-0.5;
        r2 = c[offset+2]-0.5;
        t = 0.5/Math.max(Math.abs(r0),Math.abs(r1),Math.abs(r2));
        if (t>=1) continue;
        c[offset+0] = 0.5 + t*r0;
        c[offset+1] = 0.5 + t*r1;
        c[offset+2] = 0.5 + t*r2;
    }
}

},{}],"morphologicalOperations":[function(require,module,exports){module.exports=require('8a9rlu');
},{}],"8a9rlu":[function(require,module,exports){"use strict";

function lessThanOrEqualTo(a,b) { return a <= b; }
function greaterThanOrEqualTo(a,b) { return a >= b; }

// These methods are based on:
//   Computationally efficient, one-pass algorithm for morphological filters Journal of Visual Communication and Image Representation, Vol. 22, No. 5. (July 2011), pp. 411-420, doi:10.1016/j.jvcir.2011.03.005 by Petr Dokládal, Eva Dokládalová

// This is the "class" used to implement the required queue, the actual operators follow below.
function MorphologicalQueue(size,cmp) {
    var l2 = 0, s = 1;
    while(l2<31 && s<size) { // Compute smallest power-of-two greater than or equal to "size".
        l2++;
        s = s<<1;
    }
    this.size = size>>0; // Truncate size, essentially a hint to the compiler that size is supposed to be an integer.
    this.queue = new Array(2<<l2); // Two elements per item (a position and a value). The array is used circularly, as there are never more than "size" items in the queue. We use a power-of-two to make the modulo operation easier.
    this.queueBegin = 0; // These indices are /not/ used circularly, as this makes the logic easier. So instead of keeping these indices within the bounds of the array, every access to the array is guarded.
    this.queueEnd = 0;
    this.cmp = cmp;
}
MorphologicalQueue.prototype.firstVal = function () {
    return this.queueBegin<this.queueEnd ? this.queue[(this.queueBegin+1)&(this.queue.length-1)] : undefined;
};
MorphologicalQueue.prototype.empty = function () {
    this.queueBegin = 0;
    this.queueEnd = 0;
};
MorphologicalQueue.prototype.enqueue = function (pos, val) {
    var q = this.queue, cmp = this.cmp, lengthMask = q.length-1;

    // Unshift first two elements if they are falling off the window.
    if (this.queueBegin<this.queueEnd && pos >= q[this.queueBegin&lengthMask]) {
        this.queueBegin += 2;
    }

    if (val!==undefined) {
        // Pop elements as long as they are "useless".
        while(this.queueBegin<this.queueEnd && cmp(val,q[(this.queueEnd+lengthMask)&lengthMask])) { // (end+lengthMask)&lengthMask = (end-1) modulo q.length
            this.queueEnd -= 2;
        }
        
        // Push new element.
        q[(this.queueEnd++)&lengthMask] = pos+this.size;
        q[(this.queueEnd++)&lengthMask] = val;
    }
};

// The following operators are available:
//   erosion-, dilation-, open-, close-, occoSquare: erosion (etc.) by a square
// The operators support the following arguments:
//   data: array with data (row-major, each "pixel" only has a single (grey) value)
//   width, height: size of image
//   length: total length of one side of the square
// The length parameter is rounded to the nearest odd integer for erosionSquare and dilationSquare, such that even integers are rounded up.
// For the opening, closing and occo operators the length parameter is rounded to the smallest integer strictly larger than the given length to determine the actual pixel size of the SE.
// The motivation for these choices is that a SE with a length of 2 pixels touches three pixel centers.

exports.erosionSquare = function (data, width, height, lengthFrac) {
    var x, y;
    var radius = Math.floor(lengthFrac/2);
    var xqueue = new MorphologicalQueue(2*radius+1, lessThanOrEqualTo);
    var yqueues = new Array(width+radius);
    for(x=0; x<yqueues.length; x++) {
        yqueues[x] = new MorphologicalQueue(2*radius+1, lessThanOrEqualTo);
    }
    for(y=0; y<height+radius; y++) {
        xqueue.empty();
        for(x=0; x<width+radius; x++) {
            if (y<height && x<width) {
                xqueue.enqueue(x, data[y*width+x]);
            } else {
                xqueue.enqueue(x);
            }
            yqueues[x].enqueue(y, xqueue.firstVal());
            if (y>=radius && x>=radius) {
                data[(y-radius)*width+(x-radius)] = yqueues[x].firstVal();
            }
        }
    }
    return data;
}

exports.dilationSquare = function (data, width, height, lengthFrac) {
    var x, y;
    var radius = Math.floor(lengthFrac/2);
    var xqueue = new MorphologicalQueue(2*radius+1, greaterThanOrEqualTo);
    var yqueues = new Array(width+radius);
    for(x=0; x<yqueues.length; x++) {
        yqueues[x] = new MorphologicalQueue(2*radius+1, greaterThanOrEqualTo);
    }
    for(y=0; y<height+radius; y++) {
        xqueue.empty();
        for(x=0; x<width+radius; x++) {
            if (y<height && x<width) {
                xqueue.enqueue(x, data[y*width+x]);
            } else {
                xqueue.enqueue(x);
            }
            yqueues[x].enqueue(y, xqueue.firstVal());
            if (y>=radius && x>=radius) {
                data[(y-radius)*width+(x-radius)] = yqueues[x].firstVal();
            }
        }
    }
    return data;
}

exports.closeSquare = function (data, width, height, lengthFrac) {
    var x, y;
    var length = Math.floor(lengthFrac);
    var xqueue = new MorphologicalQueue(length+1, greaterThanOrEqualTo);
    var xqueue2 = new MorphologicalQueue(length+1, lessThanOrEqualTo);
    var yqueues = new Array(width+length);
    var yqueues2 = new Array(width+length);
    for(x=0; x<yqueues.length; x++) {
        yqueues[x] = new MorphologicalQueue(length+1, greaterThanOrEqualTo);
        yqueues2[x] = new MorphologicalQueue(length+1, lessThanOrEqualTo);
    }
    for(y=0; y<height+length; y++) {
        xqueue.empty();
        xqueue2.empty();
        for(x=0; x<width+length; x++) {
            if (y<height && x<width) {
                xqueue.enqueue(x, data[y*width+x]);
            } else {
                xqueue.enqueue(x);
            }
            yqueues[x].enqueue(y, xqueue.firstVal());
            xqueue2.enqueue(x, yqueues[x].firstVal());
            yqueues2[x].enqueue(y, xqueue2.firstVal());
            if (y>=length && x>=length) {
                data[(y-length)*width+(x-length)] = yqueues2[x].firstVal();
            }
        }
    }
    return data;
}

exports.openSquare = function (data, width, height, lengthFrac) {
    var x, y;
    var length = Math.floor(lengthFrac);
    var xqueue = new MorphologicalQueue(length+1, lessThanOrEqualTo);
    var xqueue2 = new MorphologicalQueue(length+1, greaterThanOrEqualTo);
    var yqueues = new Array(width+length);
    var yqueues2 = new Array(width+length);
    for(x=0; x<yqueues.length; x++) {
        yqueues[x] = new MorphologicalQueue(length+1, lessThanOrEqualTo);
        yqueues2[x] = new MorphologicalQueue(length+1, greaterThanOrEqualTo);
    }
    for(y=0; y<height+length; y++) {
        xqueue.empty();
        xqueue2.empty();
        for(x=0; x<width+length; x++) {
            if (y<height && x<width) {
                xqueue.enqueue(x, data[y*width+x]);
            } else {
                xqueue.enqueue(x);
            }
            yqueues[x].enqueue(y, xqueue.firstVal());
            xqueue2.enqueue(x, yqueues[x].firstVal());
            yqueues2[x].enqueue(y, xqueue2.firstVal());
            if (y>=length && x>=length) {
                data[(y-length)*width+(x-length)] = yqueues2[x].firstVal();
            }
        }
    }
    return data;
}

exports.occoSquare = function (data, width, height, lengthFrac) {
    var x, y;
    var length = Math.floor(lengthFrac);
    var xqueue = new MorphologicalQueue(length+1, greaterThanOrEqualTo);
    var xqueue2 = new MorphologicalQueue(2*length+1, lessThanOrEqualTo); // Combine erosion of the closing with erosion of the opening
    var xqueue3 = new MorphologicalQueue(length+1, greaterThanOrEqualTo);
    var xdqueue = new MorphologicalQueue(length+1, lessThanOrEqualTo);
    var xdqueue2 = new MorphologicalQueue(2*length+1, greaterThanOrEqualTo); // Combine dilation of the erosion with dilation of the closing
    var xdqueue3 = new MorphologicalQueue(length+1, lessThanOrEqualTo);
    var yqueues = new Array(width+2*length);
    var yqueues2 = new Array(width+2*length);
    var yqueues3 = new Array(width+2*length);
    var ydqueues = new Array(width+2*length);
    var ydqueues2 = new Array(width+2*length);
    var ydqueues3 = new Array(width+2*length);
    for(x=0; x<yqueues.length; x++) {
        yqueues[x] = new MorphologicalQueue(length+1, greaterThanOrEqualTo);
        yqueues2[x] = new MorphologicalQueue(2*length+1, lessThanOrEqualTo);
        yqueues3[x] = new MorphologicalQueue(length+1, greaterThanOrEqualTo);
        ydqueues[x] = new MorphologicalQueue(length+1, lessThanOrEqualTo);
        ydqueues2[x] = new MorphologicalQueue(2*length+1, greaterThanOrEqualTo);
        ydqueues3[x] = new MorphologicalQueue(length+1, lessThanOrEqualTo);
    }
    for(y=0; y<height+2*length; y++) {
        xqueue.empty();
        xqueue2.empty();
        xqueue3.empty();
        xdqueue.empty();
        xdqueue2.empty();
        xdqueue3.empty();
        for(x=0; x<width+2*length; x++) {
            if (y<height && x<width) {
                xqueue.enqueue(x, data[y*width+x]);
                xdqueue.enqueue(x, data[y*width+x]);
            } else {
                xqueue.enqueue(x);
                xdqueue.enqueue(x);
            }
            
            yqueues[x].enqueue(y, xqueue.firstVal());
            xqueue2.enqueue(x, yqueues[x].firstVal());
            yqueues2[x].enqueue(y, xqueue2.firstVal());
            xqueue3.enqueue(x, yqueues2[x].firstVal());
            yqueues3[x].enqueue(y, xqueue3.firstVal());
            
            ydqueues[x].enqueue(y, xdqueue.firstVal());
            xdqueue2.enqueue(x, ydqueues[x].firstVal());
            ydqueues2[x].enqueue(y, xdqueue2.firstVal());
            xdqueue3.enqueue(x, ydqueues2[x].firstVal());
            ydqueues3[x].enqueue(y, xdqueue3.firstVal());
            
            if (y>=2*length && x>=2*length) {
                data[(y-2*length)*width+(x-2*length)] = 0.5*(yqueues3[x].firstVal() + ydqueues3[x].firstVal());
            }
        }
    }
    return data;
}


},{}],"sRGB":[function(require,module,exports){module.exports=require('oJlDKy');
},{}],"oJlDKy":[function(require,module,exports){"use strict";

exports.sRGB_to_linearRGB = function (c) {
    var i;
    for(i=0; i<c.length; i++) {
        c[i] = c[i]<=0.04045 ? (c[i]/12.92) : Math.pow((c[i] + 0.055) / 1.055, 2.4);
    }
}

exports.linearRGB_to_sRGB = function (c) {
    var i;
    for(i=0; i<c.length; i++) {
        c[i] = c[i]<=0.0031308 ? (12.92*c[i]) : (1.055*Math.pow(c[i], 1/2.4)-0.055);
    }
}


},{}]},{},[]);