"use strict";

// Clips channels independently.
exports.independentClipping = function (c) {
    var offset, c0, c1, c2;
    for(offset=0; offset<c.length; offset+=3) {
        c0 = c[offset+0];
        c1 = c[offset+1];
        c2 = c[offset+2];
        c[offset+0] = c0<0 ? 0 : c0>1 ? 1 : c0;
        c[offset+1] = c1<0 ? 0 : c1>1 ? 1 : c1;
        c[offset+2] = c2<0 ? 0 : c2>1 ? 1 : c2;
    }
}

// Clips towards neutral grey.
exports.centroidClipping = function (c) {
    var offset, r0, r1, r2, t;
    for(offset=0; offset<c.length; offset+=3) {
        r0 = c[offset+0]-0.5;
        r1 = c[offset+1]-0.5;
        r2 = c[offset+2]-0.5;
        t = 0.5/Math.max(Math.abs(r0),Math.abs(r1),Math.abs(r2));
        if (t>=1) continue;
        c[offset+0] = 0.5 + t*r0;
        c[offset+1] = 0.5 + t*r1;
        c[offset+2] = 0.5 + t*r2;
    }
}
